"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const yeoman_generator_1 = __importDefault(require("yeoman-generator"));
const path_1 = __importDefault(require("path"));
class CreateRXAppGenerator extends yeoman_generator_1.default {
    constructor(args, opts) {
        super(args, opts);
        this.argument('projectName', { type: String, required: true });
        this.option('skip-yarn', { type: Boolean, default: false });
        this.option('skip-jest', { type: Boolean, default: false });
        this.option('skip-install', { type: Boolean, default: false });
        this.option('javascript', { type: Boolean, default: false });
    }
    paths() {
        this.sourceRoot(path_1.default.resolve(__dirname, '..', 'template'));
        this.destinationRoot(path_1.default.join(process.cwd(), this.options.projectName));
    }
    configuring() {
        this.fs.copy(path_1.default.join(this.templatePath(), 'common'), this.destinationPath());
    }
    writing() {
        this.fs.copy(path_1.default.join(this.templatePath(), 'common'), this.destinationPath());
        this.fs.copy(path_1.default.join(this.templatePath(), this.options.javascript ? 'javascript' : 'typescript'), this.destinationPath());
    }
}
exports.CreateRXAppGenerator = CreateRXAppGenerator;
